package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Bnk;
import com.brilliance.isc.bo.Bnl;
import com.brilliance.isc.vo.manager.BnkVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface BnkMapper {

    int insert(Bnk record);

    int insertSelective(Bnk record);

    int updateByPrimaryKeySelective(Bnk record);

    int updateByPrimaryKey(Bnk record);

    int deleteByPrimaryKey(Bnk record);

    int deleteByIds(Collection<Object> collection);

    Bnk selectByPrimaryKey(Bnk record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Bnk> dyncRead(Map<String, Object> dyncMap);

    /**
     * 查询指定行数据
     *
     * @param bnk 分页对象
     * @return 对象列表
     */
    List<Bnk> queryAllByLimit(Bnk bnk);

    /**
     * 通过ID查询单条数据
     *
     * @param fqhhao 行号
     * @return 实例对象
     */
    Bnk queryByHao(String fqhhao);

    List<Bnk> selectHhMc(Bnk bnk);

}